### Method

# Gtk PrintSettingsget_double_with_default

#### Declaration [src]

    double
    gtk_print_settings_get_double_with_default (
      GtkPrintSettings* settings,
      const char* key,
      double def
    )

#### Description [src]

Returns the floating point number represented by the value that is associated with `key`, or `default_val` if the value does not represent a floating point number.

Floating point numbers are parsed with g_ascii_strtod().

#### Parameters

`key`

  Type: `const char*`

  A key.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`def`

  Type: `double`

  The default value.

#### Return value

Type: `double`

The floating point number associated with `key`.